/**
 * C++ Struct   TcpMapping
 *
 * Revision     1.0a (9th August 2010)
 * Programmer   Michael Allwright
 *
 * Purpose      Defines the relationship between a flow characteristic, a statistics mode, and a visualisation metric.
 *              used by MapFileParser.
**/

#ifndef _LTCPMON_TCPMAPPING_
#define _LTCPMON_TCPMAPPING_

struct TcpMapping
{
    TcpMapping(unsigned int flowCharacteristic, unsigned int statisticsMode, unsigned int visualisationMetric)
    : flowCharacteristic(flowCharacteristic), statisticsMode(statisticsMode), visualisationMetric(visualisationMetric) {}

    unsigned int flowCharacteristic;
    unsigned int statisticsMode;
    unsigned int visualisationMetric;
};

#endif

